> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Admin Info

GET https://api.bigcommerce.com/stores/{store_hash}/v3/hooks/admin

List all notification emails, webhooks, and denylisted domains associated with the API account.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/integrations/webhooks/get-hooks-admin

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes None required. Create and manage webhooks with the default scope of an API account. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `is_active` (boolean, optional) — Enables user to filter for webhooks that are active or not. A webhook subscription becomes deactivated after 90 days of inactivity.

## Response

### 200

Successful operation.

- `data` (HooksAdminGetResponsesContentApplicationJsonSchemaData, optional)
- `meta` (HooksAdminGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 401 Unauthorized Error

Unauthorized - the v3 Auth client ID or token in the request are not a valid combination for this store.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional) — This value is typically a link to BigCommerce API Status codes.

## Types

### HooksAdminGetResponsesContentApplicationJsonSchemaData

- `emails` (list of string, optional) — Email addresses to be sent notifications.
- `hooks_list` (list of HooksAdminGetResponsesContentApplicationJsonSchemaDataHooksListItems, optional) — List of all the webhooks associated with the provider API account, filtered by the `active` parameter.
- `blocked_domains` (list of HooksAdminGetResponsesContentApplicationJsonSchemaDataBlockedDomainsItems, optional) — List of domains (destinations) that are currently on the denylist and are not being sent webhooks.

### HooksAdminGetResponsesContentApplicationJsonSchemaMeta

- `pagination` (Pagination, optional) — Data about the response, including pagination and collection totals.

### HooksAdminGetResponsesContentApplicationJsonSchemaDataHooksListItems

- `id` (integer, optional) — ID of the webhook
- `client_id` (string, optional) — Client ID, unique to the store or app.
- `store_hash` (string, optional) — Permanent ID of the BigCommerce store.
- `scope` (string, optional) — Event you subscribe to
- `destination` (string, optional) — URL must be active, return a 200 response, and be served on port 443. Custom ports arenʼt currently supported.
- `headers` (HooksAdminGetResponsesContentApplicationJsonSchemaDataHooksListItemsHeaders, optional, nullable) — You can pass in any number of custom headers to validate webhooks being returned.
- `is_active` (boolean, optional, default: true) — If the webhook is active or not. A webhook subscription becomes deactivated after 90 days of inactivity.
- `created_at` (integer, optional) — The time the webhook was created, represented in UNIX epoch time.
- `updated_at` (integer, optional) — The time the webhook was most recently updated, represented in UNIX epoch time.
- `status` (enum, optional) — The webhook status.
  - Allowed values: `inactive`, `active`, `deactivated`

### HooksAdminGetResponsesContentApplicationJsonSchemaDataBlockedDomainsItems

- `destination` (string, optional) — Domain URL to which webhooks are sent.
- `time_left` (integer, optional) — Remaining time in seconds that the domain is on the denylist.
- `reasons` (list of HooksAdminGetResponsesContentApplicationJsonSchemaDataBlockedDomainsItemsReasonsItems, optional)

### Pagination

Data about the response, including pagination and collection totals.

- `total` (integer, optional) — Total number of returned items across all pages.
- `count` (integer, optional) — Number of items on current page.
- `per_page` (integer, optional) — Maximum number of items per page.
- `current_page` (integer, optional) — Current page number.
- `total_pages` (integer, optional) — Total number of pages.
- `links` (PaginationLinks, optional)

### HooksAdminGetResponsesContentApplicationJsonSchemaDataHooksListItemsHeaders

You can pass in any number of custom headers to validate webhooks being returned.

### HooksAdminGetResponsesContentApplicationJsonSchemaDataBlockedDomainsItemsReasonsItems

- `failure_description` (string, optional)
- `count` (integer, optional)
- `timestamp` (long, optional) — UTC timestamp in seconds that the events was created

### PaginationLinks

- `previous` (string, optional) — Link to the previous page returned in the response.
- `current` (string, optional) — Link to the current page returned in the response.
- `next` (string, optional) — Link to the next page returned in the response.

## Examples

**Response**

```json
{
  "data": {
    "emails": [
      "webhooks@example.com"
    ],
    "hooks_list": [
      {
        "id": 1,
        "client_id": "string",
        "store_hash": "string",
        "scope": "store/order/created",
        "destination": "string",
        "headers": {},
        "is_active": true,
        "created_at": 1561488106,
        "updated_at": 1561488106,
        "status": "inactive"
      }
    ],
    "blocked_domains": [
      {
        "destination": "string",
        "time_left": 1,
        "reasons": [
          {
            "failure_description": "string",
            "count": 1,
            "timestamp": 1
          }
        ]
      }
    ]
  },
  "meta": {
    "pagination": {
      "total": 1,
      "count": 1,
      "per_page": 1,
      "current_page": 1,
      "total_pages": 1,
      "links": {
        "previous": "string",
        "current": "string",
        "next": "string"
      }
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/hooks/admin"

querystring = {"is_active":"true"}

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/hooks/admin?is_active=true';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/hooks/admin?is_active=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/hooks/admin?is_active=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/hooks/admin?is_active=true")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/hooks/admin?is_active=true', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/hooks/admin?is_active=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/hooks/admin?is_active=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```